lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [day] [month] [year] [list]
Date: Thu, 30 Nov 2023 15:57:55 -0600
From: "Gustavo A. R. Silva" <gustavo@...eddedor.com>
To: Kees Cook <keescook@...omium.org>,
 "Gustavo A. R. Silva" <gustavoars@...nel.org>
Cc: Masahiro Yamada <masahiroy@...nel.org>,
 Nathan Chancellor <nathan@...nel.org>,
 Nick Desaulniers <ndesaulniers@...gle.com>,
 Nicolas Schier <nicolas@...sle.eu>, linux-kbuild@...r.kernel.org,
 linux-kernel@...r.kernel.org, linux-hardening@...r.kernel.org
Subject: Re: [PATCH][next] init: Kconfig: Disable -Wstringop-overflow for
 GCC-11



On 11/30/23 15:07, Kees Cook wrote:
> On Thu, Nov 30, 2023 at 02:52:10PM -0600, Gustavo A. R. Silva wrote:
>> -Wstringop-overflow is buggy in GCC-11. Therefore, we should disable
> 
> Can you add some links for this? For example, maybe this?
> https://gcc.gnu.org/bugzilla/show_bug.cgi?id=97490
> 
> Or discussions from -next builds?

Done. :)

> 
>> this option specifically for that compiler version. To achieve this,
>> we introduce a new configuration option: GCC11_NO_STRINGOP_OVERFLOW.
>>
>> The compiler option related to string operation overflow is now managed
>> under configuration CC_STRINGOP_OVERFLOW. This option is enabled by
>> default for all other versions of GCC that support it.
>>
>> Signed-off-by: Gustavo A. R. Silva <gustavoars@...nel.org>
> 
> But yeah, let's get this landed to keep new warnings from appearing...
> 

I just applied this to my -next tree.

> Reviewed-by: Kees Cook <keescook@...omium.org>

Thanks!
--
Gustavo

Powered by blists - more mailing lists